=begin
#Platform external API.

#Documentation of our Platform external API.

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 3.0.34
=end

require 'spec_helper'
require 'json'

# Unit tests for Shippo::MerchantsApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'MerchantsApi' do
  before do
    # run before each test
    @instance = Shippo::MerchantsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of MerchantsApi' do
    it 'should create an instance of MerchantsApi' do
      expect(@instance).to be_instance_of(Shippo::MerchantsApi)
    end
  end

  # unit tests for list_merchant
  # List all merchants
  # List merchant objects
  # @param [Hash] opts the optional parameters
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @option opts [Integer] :page description: The page number you want to select
  # @option opts [Integer] :results description: The number of results to return per page (max 100)
  # @return [PaginatedMerchantResponse]
  describe 'list_merchant test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_merchant
  # Retrieve a merchant
  # Retrieve a merchant object
  # @param merchant_id description: Object ID of the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @return [Merchant]
  describe 'get_merchant test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for register_merchant
  # Create a merchant
  # Creates a merchant object
  # @param [Hash] opts the optional parameters
  # @option opts [BaseMerchantStruct] :body Merchant details and contact info.
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @return [Merchant]
  describe 'register_merchant test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_merchant
  # Update a merchant
  # Updates a merchant object
  # @param merchant_id description: Object ID of the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [BaseMerchantStruct] :body Merchant details and contact info.
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @return [Merchant]
  describe 'update_merchant test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
